////
/// @group layout
////


/// set width of container
/// @param {string} $wide ['null|normal|medium|tall'] container size
/// @param {string} $gap [$grid-gap*2] gap width
@mixin _containerHelper($wide: null, $gap: $grid-gap) {
    position: relative;
    width: initial;
    padding-left: $gap;
    padding-right: $gap;

    //@if ($wide == 'full') {
    //    @include _respond-to(desktops) {
    //        padding-left: 0;
    //        padding-right: 0;
    //    }
    //}

    @if ($wide == 'normal') {
        @include _respond-to(desktops) {
            margin-left: auto;
            margin-right: auto;
            width: $breakpoint-desktop-min;
        }
    }

    @if ($wide == 'medium') {
        @include _respond-to(desktops) {
            margin-left: auto;
            margin-right: auto;
            width: $breakpoint-desktop-min - 200px;
        }
    }

    @if ($wide == 'tall') {
        @include _respond-to(desktops) {
            margin-left: auto;
            margin-right: auto;
            width: $breakpoint-tablet-min;
        }
    }
}


///
@mixin _formLayoutHelper() {

    @include _respond-to(tablets) {
        @include _display-flex(flex, flex-start, flex-start, row, wrap);

        > * {
            flex: 1;
        }

        > *:first-child {
            flex: 0 0 25%;
        }

        > label {
            height: $forms-input-height;
            padding: 0 $grid-gap;
            border: 1px solid transparent;
            @include _display-flex(flex, center, flex-end);
        }
    }
}